#ifndef WAITTINGDIALOG_H
#define WAITTINGDIALOG_H

#include <QWidget>
#include <QDialog>
#include <QHBoxLayout>
#include <QLabel>
#include <QProgressBar>
#include <QPushButton>
#include <QHBoxLayout>

class WaittingDialog : public QDialog
{
    Q_OBJECT
public:
    explicit WaittingDialog(QWidget *parent = nullptr);

private:
    QVBoxLayout *m_layout = nullptr;
    QHBoxLayout *m_titleHBoxLayout = nullptr;
    QVBoxLayout *m_mainVlayout = nullptr;
    QHBoxLayout *m_mainHLayout = nullptr;
    QWidget *m_mainWidget = nullptr;
    QPushButton *m_closeButton = nullptr;
    QLabel *m_text = nullptr;
    QProgressBar *m_progress = nullptr;

    void init();
    void initConnect();

public:
    void setText(QString text);

};

#endif // WAITTINGDIALOG_H
